/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.launcher.utest;

import java.io.File;
import java.util.Properties;

import org.ow2.petals.launcher.PetalsLauncher;
import org.ow2.petals.launcher.api.server.PetalsServer;
import org.ow2.petals.launcher.api.server.exception.PetalsServerException;
import org.ow2.petals.topology.generated.Topology;

/**
 * A Petals server implementation for unit tests of the launcher
 * {@link PetalsLauncher}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsServerUTest implements PetalsServer {

    public PetalsServerUTest() {
        // NOP
    }

    @Override
    public void init(final Properties serverLocalProperties, final Topology topology, final File dataRootPath)
            throws PetalsServerException {
        // NOP
    }

    @Override
    public void start() throws PetalsServerException {
        // NOP
    }

    @Override
    public void stop() throws PetalsServerException {
        // NOP
    }

    @Override
    public boolean isRunning() {
        return false;
    }

    @Override
    public String getImplementationName() {
        return PetalsServerUTest.class.getName();
    }

    @Override
    public String getImplementationVersion() {
        return "1.0.0";
    }

}
